petsc-3.10.5 2019-03-28
Report Typos and Errors

# KSPGMRESGetRestart

Gets number of iterations at which GMRES, FGMRES and LGMRES restarts.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPGMRESGetRestart(KSP ksp, PetscInt *restart)

Not Collective

### Input Parameter

ksp -the Krylov space context

### Output Parameter

restart -integer restart value

Note: The default value is 30.

### Keywords

KSP, GMRES, restart, iterations

### See Also

KSPSetTolerances(), KSPGMRESSetOrthogonalization(), KSPGMRESSetPreAllocateVectors(), KSPGMRESSetRestart()

### Level

intermediate

### Location

src/ksp/ksp/impls/gmres/gmres.c

### Implementations

KSPGMRESGetRestart_FGMRES in src/ksp/ksp/impls/gmres/fgmres/fgmres.c
KSPGMRESGetRestart_GMRES in src/ksp/ksp/impls/gmres/gmres.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages